* gllamm review by L. Grilli & C. Rampichini at http://www.mlwin.com/softrev/gllamm.shtml
* gllamm rel. 2.3.11 of 15/10/2005
* March 2006

* Section 3.4 A MODEL FOR META-ANALYSIS

*define the working directory
cd D:\Documenti\Lavori_in_corso\gllamm_review

log using Meta.log, text

* This data was used by Raudenbush & Bryk (2002) to illustrate Meta-analysis.
* It was a collection of 19 studies published on the effect of teacher expectancy on pupil IQ.

*read data (assuming they are in the working directory)
infile effect s2 week studyID using HLM-meta.txt

*assign labels
label variable effect  "Effect size estimate"
label variable s2  "Variance of effect size estimate"
label variable week "Weeks of prior contact"
label variable studyID "Study  code"

codebook


************************

generate lns = ln(s2)/2

eq het: lns

constraint define 1 [lns1]lns=1

*null model
gllamm effect, i(studyID) constraint(1) s(het) nip(15) adapt trace
est store m_null

*covariate "week"
gllamm effect week, i(studyID) constraint(1) s(het) nip(15) adapt trace
est store m_week

est table m_null m_week
